%define upstream_name	 Tree-DAG_Node
%define upstream_version 1.35

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Class for representing nodes in a tre
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tree/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(ExtUtils::MakeMaker) >= 7.700.0
BuildRequires: perl(File::Slurper) >= 0.14.0
BuildRequires: perl(File::Spec) >= 3.400.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Test::More) >= 1.1.2
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This class encapsulates/makes/manipulates objects that represent nodes in a
tree structure. The tree structure is not an object itself, but is emergent
from the linkages you create between nodes. This class provides the methods for
making linkages that can be used to build up a tree, while preventing you from
ever making any kinds of linkages which are not allowed in a tree (such as
having a node be its own mother or ancestor, or having a node have two
mothers).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%check
make test

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Tree
%{_mandir}/*/*

%changelog
* Tue May 13 2025 tv <tv> 1.350.0-1.mga10
+ Revision: 2183242
- update to 1.35

* Thu May 01 2025 tv <tv> 1.340.0-1.mga10
+ Revision: 2180274
- update to 1.34

* Sun Mar 30 2025 tv <tv> 1.330.0-1.mga10
+ Revision: 2171666
- update to 1.33

* Mon Mar 21 2022 umeabot <umeabot> 1.320.0-2.mga9
+ Revision: 1814023
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 1.320.0-1.mga9
+ Revision: 1690377
- update to 1.32

* Wed Feb 12 2020 umeabot <umeabot> 1.310.0-3.mga8
+ Revision: 1506868
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.310.0-2.mga7
+ Revision: 1287131
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tv <tv> 1.310.0-1.mga7
+ Revision: 1201424
- update to 1.31

* Mon Jan 29 2018 tv <tv> 1.300.0-1.mga7
+ Revision: 1197929
- update to 1.30

* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-2.mga6
+ Revision: 1035415
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 1.290.0-1.mga6
+ Revision: 989851
- update to 1.29

* Fri Feb 19 2016 umeabot <umeabot> 1.270.0-2.mga6
+ Revision: 968968
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 1.270.0-1.mga6
+ Revision: 858280
- update to 1.27

* Tue Jul 07 2015 sander85 <sander85> 1.260.0-1.mga6
+ Revision: 852564
- update to 1.26

* Sun Oct 19 2014 umeabot <umeabot> 1.220.0-4.mga5
+ Revision: 790071
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.220.0-3.mga5
+ Revision: 748441
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.220.0-2.mga5
+ Revision: 686739
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 1.220.0-1.mga5
+ Revision: 596856
- update to 1.22

* Sat Oct 19 2013 umeabot <umeabot> 1.110.0-2.mga4
+ Revision: 525993
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.110.0-1.mga4
+ Revision: 435101
- update to 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 374479
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 317764
- update to 1.09

* Wed Nov 07 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 315924
- update to 1.07

* Tue Jan 18 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 23029
- cleaning spec file
- imported package perl-Tree-DAG_Node

